#!/bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
if [ $# -lt 1 ]; then
        echo "USAGE: ./makepdf.sh [--fsr|--promo] protokoll.{md|txt|...}"
        exit 1
fi
if [ "$1" = "--fsr" ]; then
    F="fsr"
    shift
elif [ "$1" = "--promo" ]; then
    F="promo"
    shift
else
    F="finf"
fi

PROTOCOL="$(readlink -f $1)"
OUTPUT="${PROTOCOL##*/}"
OUTPUT="${PWD}/${OUTPUT%.*}.pdf"

cd ${SCRIPT_DIR}/.. && pandoc "${PROTOCOL}" --template="templates/pandoc.${F}.tex" -o "${OUTPUT}"
